Package com.clickhouse.jdbc

# Interface ClickHousePreparedStatement

All Superinterfaces:
  `AutoCloseable`, `PreparedStatement`, `Statement`, `Wrapper`

@Deprecated public interface ClickHousePreparedStatement extends PreparedStatement
Deprecated.

## Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

## Method Summary

Modifier and Type
Method
Description
`default ResultSetMetaData`
`describeQueryResult()`
Deprecated.
`default ResultSetMetaData`
`getMetaData()`
Deprecated.
`default void`
`setAsciiStream(int parameterIndex, InputStream x)`
Deprecated.
`default void`
`setAsciiStream(int parameterIndex, InputStream x, int length)`
Deprecated.
`default void`
`setAsciiStream(int parameterIndex, InputStream x, long length)`
Deprecated.
`default void`
`setBinaryStream(int parameterIndex, InputStream x)`
Deprecated.
`default void`
`setBinaryStream(int parameterIndex, InputStream x, int length)`
Deprecated.
`default void`
`setBinaryStream(int parameterIndex, InputStream x, long length)`
Deprecated.
`default void`
`setBlob(int parameterIndex, InputStream inputStream)`
Deprecated.
`default void`
`setBlob(int parameterIndex, InputStream inputStream, long length)`
Deprecated.
`default void`
`setBlob(int parameterIndex, Blob x)`
Deprecated.
`default void`
`setBoolean(int parameterIndex, boolean x)`
Deprecated.
`default void`
`setCharacterStream(int parameterIndex, Reader reader)`
Deprecated.
`default void`
`setCharacterStream(int parameterIndex, Reader reader, int length)`
Deprecated.
`default void`
`setCharacterStream(int parameterIndex, Reader reader, long length)`
Deprecated.
`default void`
`setClob(int parameterIndex, Reader reader)`
Deprecated.
`default void`
`setClob(int parameterIndex, Reader reader, long length)`
Deprecated.
`default void`
`setClob(int parameterIndex, Clob x)`
Deprecated.
`default void`
`setDate(int parameterIndex, Date x)`
Deprecated.
`default void`
`setNCharacterStream(int parameterIndex, Reader value)`
Deprecated.
`default void`
`setNCharacterStream(int parameterIndex, Reader value, long length)`
Deprecated.
`default void`
`setNClob(int parameterIndex, Reader reader)`
Deprecated.
`default void`
`setNClob(int parameterIndex, Reader reader, long length)`
Deprecated.
`default void`
`setNClob(int parameterIndex, NClob value)`
Deprecated.
`default void`
`setNString(int parameterIndex, String value)`
Deprecated.
`default void`
`setNull(int parameterIndex, int sqlType)`
Deprecated.
`default void`
`setObject(int parameterIndex, Object x, int targetSqlType)`
Deprecated.
`default void`
`setRef(int parameterIndex, Ref x)`
Deprecated.
`default void`
`setRowId(int parameterIndex, RowId x)`
Deprecated.
`default void`
`setSQLXML(int parameterIndex, SQLXML xmlObject)`
Deprecated.
`default void`
`setTime(int parameterIndex, Time x)`
Deprecated.
`default void`
`setTimestamp(int parameterIndex, Timestamp x)`
Deprecated.
`default void`
`setUnicodeStream(int parameterIndex, InputStream x, int length)`
Deprecated.
`default void`
`setURL(int parameterIndex, URL x)`
Deprecated.

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getParameterMetaData, setArray, setBigDecimal, setByte, setBytes, setDate, setDouble, setFloat, setInt, setLong, setNull, setObject, setObject, setObject, setObject, setShort, setString, setTime, setTimestamp`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Method Details

### setNull

default void setNull(int parameterIndex, int sqlType) throws SQLException
Deprecated.

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBoolean

default void setBoolean(int parameterIndex, boolean x) throws SQLException
Deprecated.

Specified by:
  `setBoolean` in interface `PreparedStatement`
Throws:
  `SQLException`

### setDate

default void setDate(int parameterIndex, Date x) throws SQLException
Deprecated.

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

### setTime

default void setTime(int parameterIndex, Time x) throws SQLException
Deprecated.

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

### setTimestamp

default void setTimestamp(int parameterIndex, Timestamp x) throws SQLException
Deprecated.

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

### setAsciiStream

default void setAsciiStream(int parameterIndex, InputStream x, int length) throws SQLException
Deprecated.

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setUnicodeStream

default void setUnicodeStream(int parameterIndex, InputStream x, int length) throws SQLException
Deprecated.

Specified by:
  `setUnicodeStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBinaryStream

default void setBinaryStream(int parameterIndex, InputStream x, int length) throws SQLException
Deprecated.

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setObject

default void setObject(int parameterIndex, Object x, int targetSqlType) throws SQLException
Deprecated.

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

### setCharacterStream

default void setCharacterStream(int parameterIndex, Reader reader, int length) throws SQLException
Deprecated.

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setRef

default void setRef(int parameterIndex, Ref x) throws SQLException
Deprecated.

Specified by:
  `setRef` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBlob

default void setBlob(int parameterIndex, Blob x) throws SQLException
Deprecated.

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setClob

default void setClob(int parameterIndex, Clob x) throws SQLException
Deprecated.

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

### getMetaData

default ResultSetMetaData getMetaData() throws SQLException
Deprecated.

Specified by:
  `getMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

### describeQueryResult

default ResultSetMetaData describeQueryResult() throws SQLException
Deprecated.

Throws:
  `SQLException`

### setURL

default void setURL(int parameterIndex, URL x) throws SQLException
Deprecated.

Specified by:
  `setURL` in interface `PreparedStatement`
Throws:
  `SQLException`

### setRowId

default void setRowId(int parameterIndex, RowId x) throws SQLException
Deprecated.

Specified by:
  `setRowId` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNString

default void setNString(int parameterIndex, String value) throws SQLException
Deprecated.

Specified by:
  `setNString` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNCharacterStream

default void setNCharacterStream(int parameterIndex, Reader value, long length) throws SQLException
Deprecated.

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNClob

default void setNClob(int parameterIndex, NClob value) throws SQLException
Deprecated.

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setClob

default void setClob(int parameterIndex, Reader reader, long length) throws SQLException
Deprecated.

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBlob

default void setBlob(int parameterIndex, InputStream inputStream, long length) throws SQLException
Deprecated.

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNClob

default void setNClob(int parameterIndex, Reader reader, long length) throws SQLException
Deprecated.

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setSQLXML

default void setSQLXML(int parameterIndex, SQLXML xmlObject) throws SQLException
Deprecated.

Specified by:
  `setSQLXML` in interface `PreparedStatement`
Throws:
  `SQLException`

### setAsciiStream

default void setAsciiStream(int parameterIndex, InputStream x, long length) throws SQLException
Deprecated.

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBinaryStream

default void setBinaryStream(int parameterIndex, InputStream x, long length) throws SQLException
Deprecated.

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setCharacterStream

default void setCharacterStream(int parameterIndex, Reader reader, long length) throws SQLException
Deprecated.

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setAsciiStream

default void setAsciiStream(int parameterIndex, InputStream x) throws SQLException
Deprecated.

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBinaryStream

default void setBinaryStream(int parameterIndex, InputStream x) throws SQLException
Deprecated.

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setCharacterStream

default void setCharacterStream(int parameterIndex, Reader reader) throws SQLException
Deprecated.

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNCharacterStream

default void setNCharacterStream(int parameterIndex, Reader value) throws SQLException
Deprecated.

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

### setClob

default void setClob(int parameterIndex, Reader reader) throws SQLException
Deprecated.

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setBlob

default void setBlob(int parameterIndex, InputStream inputStream) throws SQLException
Deprecated.

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

### setNClob

default void setNClob(int parameterIndex, Reader reader) throws SQLException
Deprecated.

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`